'use strict';

var UnpostedCtrl = ['$scope', 'info', 'Unposted', function ($scope, info, Unposted) {
    $scope.info = info;
    $scope.refresh = function () {
        Unposted.query({}, function (result) {
            $scope.info = result;
            $scope.apply();
        });
    };
}];
UnpostedCtrl.resolve = {
    info:['Unposted', function (Unposted) {
        return Unposted.query({}).$promise;
    }]
};